Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 450093004: [CSS Grid Layout] Handle percentages of indefinite sizes in minmax() (Closed)

Created:
3 years, 9 months ago by svillar
Modified:
3 years, 8 months ago
CC:
blink-reviews, blink-reviews-rendering, eae+blinkwatch, jchaffraix+rendering, jfernandez, leviw+renderwatch, pdr., Manuel Rego, rune+blink, svillar, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

[CSS Grid Layout] Handle percentages of indefinite sizes in minmax() After r164062 percentages of indefinite sizes were correctly computed to "auto". The problem is that we were not doing it when the percentage was inside the minmax() function. In those cases it should compute to min-content for the min track sizing function or to max-content for the max track sizing function. Added a couple of tests, one to verify that we do not assert with percentages inside minmax() and another one to verify that we properly compute the percentage of indefinite size in various situations. BUG=401477, 409085 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=181800

Patch Set 1 #

Patch Set 2 : Added support for indefinite percentages in grid-auto-* #

Total comments: 4

Patch Set 3 : Patch for landing #

Patch Set 4 : Patch for landing v2 #

Patch Set 5 : Patch for landing v3 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+221 lines, -22 lines) Patch
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-auto-flow-resolution.html View 1 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-resolution.html View 1 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/css-grid-layout/grid-auto-columns-rows-update.html View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html View 1 1 chunk +67 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size-expected.txt View 1 1 chunk +21 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size-in-auto.html View 1 1 chunk +67 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size-in-auto-expected.txt View 1 1 chunk +21 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size-in-minmax-crash.html View 1 chunk +15 lines, -0 lines 0 comments Download
A LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size-in-minmax-crash-expected.txt View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderGrid.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 2 3 7 chunks +20 lines, -19 lines 0 comments Download
M Source/core/rendering/style/GridLength.h View 1 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (7 generated)
svillar
Sending for review
3 years, 9 months ago (2014-08-18 10:53:22 UTC) #1
svillar
@jchaffraix, @esprehn: anyone?
3 years, 9 months ago (2014-08-26 09:12:34 UTC) #2
svillar
I extended the original fix so that we now support percentages of indefinite sizes for ...
3 years, 8 months ago (2014-09-01 15:19:32 UTC) #3
Julien - ping for review
lgtm https://codereview.chromium.org/450093004/diff/20001/LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html File LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html (right): https://codereview.chromium.org/450093004/diff/20001/LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html#newcode1 LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html:1: <!DOCTYPE html> I couldn't spot what was different ...
3 years, 8 months ago (2014-09-10 01:00:17 UTC) #4
svillar
https://codereview.chromium.org/450093004/diff/20001/LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html File LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html (right): https://codereview.chromium.org/450093004/diff/20001/LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html#newcode1 LayoutTests/fast/css-grid-layout/percent-of-indefinite-track-size.html:1: <!DOCTYPE html> On 2014/09/10 01:00:17, Julien Chaffraix - PST ...
3 years, 8 months ago (2014-09-10 15:03:10 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/svillar@igalia.com/450093004/40001
3 years, 8 months ago (2014-09-10 15:30:31 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: mac_gpu on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/mac_gpu/builds/54059) win_gpu on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/win_gpu/builds/59013)
3 years, 8 months ago (2014-09-10 15:35:08 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/svillar@igalia.com/450093004/60001
3 years, 8 months ago (2014-09-10 15:53:45 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/linux_blink_rel/builds/24264)
3 years, 8 months ago (2014-09-10 16:50:31 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/svillar@igalia.com/450093004/80001
3 years, 8 months ago (2014-09-10 18:05:05 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: win_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/win_blink_rel/builds/26481)
3 years, 8 months ago (2014-09-10 20:24:52 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patchset/450093004/80001
3 years, 8 months ago (2014-09-11 07:46:04 UTC) #19
commit-bot: I haz the power
3 years, 8 months ago (2014-09-11 08:25:37 UTC) #20
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as 181800

Powered by Google App Engine
This is Rietveld 408576698